defmodule MyEnum do
  # all?/1
  # Returns true if  all elements in enumerable are truthy.
  def all?([head|tail]) do
    # head truthy and all tail
    (head != false) and (head != nil) and all?(tail)
    all?([head|tail], fn elem -> (elem != false) and (elem != nil) end)
  end

  def all?([]) do
    all?([], nil)
  end

  def all?([head|tail], fun) do
    fun.(head) and all?(tail, fun)
  end

  def all?([], _fun) do
    true
  end

  # each/2
  # Invokes the given fun for each element in the enumerable.
  def each([head|tail], fun) do
    fun.(head)
    each(tail, fun)
  end

  def each([], _fun) do
    :ok
  end

   # filter using if ... do ... else ... end
  # split
  # take
end
